| Flutter Impeller |

Public Member Functions | List of all members
impeller::AtlasGeometry Class Referenceabstract

`#include <atlas_contents.h>`

Inheritance diagram for impeller::AtlasGeometry:

## Public Member Functions
virtual bool | ShouldUseBlend () const =0
virtual bool | ShouldSkip () const =0
virtual VertexBuffer | CreateSimpleVertexBuffer (HostBuffer &host_buffer) const =0
virtual VertexBuffer | CreateBlendVertexBuffer (HostBuffer &host_buffer) const =0
virtual Rect | ComputeBoundingBox () const =0
virtual const std::shared_ptr< Texture > & | GetAtlas () const =0
virtual const SamplerDescriptor & | GetSamplerDescriptor () const =0
virtual BlendMode | GetBlendMode () const =0
virtual bool | ShouldInvertBlendMode () const
virtual std::optional< Rect > | GetStrictSrcRect () const
| The source rect of the draw in texture coordinates if a strict source rect should be applied, or nullopt. More...

## Detailed Description

Definition at line 21 of file atlas_contents.h.

## Member Function Documentation

## ◆ ComputeBoundingBox()

virtual Rect impeller::AtlasGeometry::ComputeBoundingBox | ( |  | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::GetCoverage(), and impeller::ColorFilterAtlasContents::GetCoverage().

## ◆ CreateBlendVertexBuffer()

virtual VertexBuffer impeller::AtlasGeometry::CreateBlendVertexBuffer | ( | HostBuffer & | host_buffer | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ CreateSimpleVertexBuffer()

virtual VertexBuffer impeller::AtlasGeometry::CreateSimpleVertexBuffer | ( | HostBuffer & | host_buffer | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render(), and impeller::ColorFilterAtlasContents::Render().

## ◆ GetAtlas()

virtual const std::shared_ptr<Texture>& impeller::AtlasGeometry::GetAtlas | ( |  | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render(), and impeller::ColorFilterAtlasContents::Render().

## ◆ GetBlendMode()

virtual BlendMode impeller::AtlasGeometry::GetBlendMode | ( |  | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ GetSamplerDescriptor()

virtual const SamplerDescriptor& impeller::AtlasGeometry::GetSamplerDescriptor | ( |  | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render(), and impeller::ColorFilterAtlasContents::Render().

## ◆ GetStrictSrcRect()

virtual std::optional<Rect> impeller::AtlasGeometry::GetStrictSrcRect | ( |  | ) | const
| inlinevirtual

The source rect of the draw in texture coordinates if a strict source rect should be applied, or nullopt.

See also `Canvas::AttemptColorFilterOptimization`

Reimplemented in impeller::DrawImageRectAtlasGeometry.

Definition at line 47 of file atlas_contents.h.

47 { return std::nullopt; }

Referenced by impeller::AtlasContents::Render().

## ◆ ShouldInvertBlendMode()

virtual bool impeller::AtlasGeometry::ShouldInvertBlendMode | ( |  | ) | const
| inlinevirtual

Reimplemented in impeller::DrawImageRectAtlasGeometry.

Definition at line 41 of file atlas_contents.h.

41 { return true; }

Referenced by impeller::AtlasContents::Render().

## ◆ ShouldSkip()

virtual bool impeller::AtlasGeometry::ShouldSkip | ( |  | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render(), and impeller::ColorFilterAtlasContents::Render().

## ◆ ShouldUseBlend()

virtual bool impeller::AtlasGeometry::ShouldUseBlend | ( |  | ) | const
| pure virtual

Implemented in impeller::DrawImageRectAtlasGeometry, and impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

The documentation for this class was generated from the following file:

- impeller/entity/contents/atlas_contents.h